Index: includes/definitions/mibs/d-link.inc.php
===================================================================
--- includes/definitions/mibs/d-link.inc.php	(revision 11288)
+++ includes/definitions/mibs/d-link.inc.php	(working copy)
@@ -246,42 +260,693 @@
 $config['mibs'][$mib]['mib_dir'] = 'd-link';
 
 $type = 'onoffStatus';
-$config['mibs'][$mib]['states'][$type][1] = array('name' => 'on',  'event' => 'ok');
-$config['mibs'][$mib]['states'][$type][2] = array('name' => 'off', 'event' => 'warning');
+$config['mibs'][$mib]['states'][$type][1] = ['name' => 'on',  'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][2] = ['name' => 'off', 'event' => 'warning'];
 
 $type = 'mcbMCMediaLinkStatus';
-$config['mibs'][$mib]['states'][$type][1] = array('name' => 'online',  'event' => 'ok');
-$config['mibs'][$mib]['states'][$type][2] = array('name' => 'offline', 'event' => 'alert');
-$config['mibs'][$mib]['states'][$type][3] = array('name' => 'unsupported', 'event' => 'ignore');
+$config['mibs'][$mib]['states'][$type][1] = ['name' => 'online',      'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][2] = ['name' => 'offline',     'event' => 'alert'];
+$config['mibs'][$mib]['states'][$type][3] = ['name' => 'unsupported', 'event' => 'ignore'];
 
-$config['mibs'][$mib]['status'][] = array('oid'      => 'mcbFramePowerOneOnStatus',
-                                          'descr'    => 'Power One',
-                                          'type'     => 'onoffStatus',
-                                          'measured' => 'powersupply',
-                                          'oid_num'  => '.1.3.6.1.4.1.171.41.1.3.1');
+$config['mibs'][$mib]['status'][] = [
+  'oid'      => 'mcbFramePowerOneOnStatus',
+  'descr'    => 'Power One',
+  'type'     => 'onoffStatus',
+  'measured' => 'powersupply',
+  'oid_num'  => '.1.3.6.1.4.1.171.41.1.3.1'
+];
 
-$config['mibs'][$mib]['status'][] = array('oid'      => 'mcbFramePowerTwoOnStatus',
-                                          'descr'    => 'Power Two',
-                                          'type'     => 'onoffStatus',
-                                          'measured' => 'powersupply',
-                                          'oid_num'  => '.1.3.6.1.4.1.171.41.1.3.2');
+$config['mibs'][$mib]['status'][] = [
+  'oid'      => 'mcbFramePowerTwoOnStatus',
+  'descr'    => 'Power Two',
+  'type'     => 'onoffStatus',
+  'measured' => 'powersupply',
+  'oid_num'  => '.1.3.6.1.4.1.171.41.1.3.2'
+];
 
-$config['mibs'][$mib]['status'][] = array('measured'           => 'port',
-                                          'table'              => 'mcbMCSlotTable',
-//                                          'measured_match'     => [ ['entity_type' => 'port', 'field' => 'ifDescr', 'match' => '%mtxrOpticalName%' ] ],
-//                                          'class'              => 'wavelength',
-                                          'type'               => 'mcbMCMediaLinkStatus',
-                                          'oid'                => 'mcbMCMediaOneLinkStatus',
-                                          'oid_descr'          => 'mcbMCSlotName',
-                                          'descr'              => 'LinkStatus %index% One %oid_descr%');
+$config['mibs'][$mib]['status'][] = [
+  'measured'           => 'port',
+  'table'              => 'mcbMCSlotTable',
+//  'measured_match'     => [ ['entity_type' => 'port', 'field' => 'ifDescr', 'match' => '%mtxrOpticalName%' ] ],
+//  'class'              => 'wavelength',
+  'type'               => 'mcbMCMediaLinkStatus',
+  'oid'                => 'mcbMCMediaOneLinkStatus',
+  'oid_descr'          => 'mcbMCSlotName',
+  'descr'              => 'LinkStatus %index% One %oid_descr%'
+];
 
-$config['mibs'][$mib]['status'][] = array('measured'           => 'port',
-                                          'table'              => 'mcbMCSlotTable',
-                                          'measured_match'     => [ ['entity_type' => 'port', 'field' => 'ifIndex', 'match' => '%index%' ] ],
-//                                          'class'              => 'wavelength',
-                                          'type'               => 'mcbMCMediaLinkStatus',
-                                          'oid'                => 'mcbMCMediaTwoLinkStatus',
-                                          'oid_descr'          => 'mcbMCSlotName',
-                                          'descr'              => 'LinkStatus %index% Two %oid_descr%');
+$config['mibs'][$mib]['status'][] = [
+  'measured'           => 'port',
+  'table'              => 'mcbMCSlotTable',
+  'measured_match'     => [ ['entity_type' => 'port', 'field' => 'ifIndex', 'match' => '%index%' ] ],
+//  'class'              => 'wavelength',
+  'type'               => 'mcbMCMediaLinkStatus',
+  'oid'                => 'mcbMCMediaTwoLinkStatus',
+  'oid_descr'          => 'mcbMCSlotName',
+  'descr'              => 'LinkStatus %index% Two %oid_descr%'
+];
 
+$mib = 'DES-1210-28ME_B2';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.10.75.15.2';
+$config['mibs'][$mib]['mib_dir'] = 'd-link';
+$config['mibs'][$mib]['descr'] = 'D-Link des-1210 28ME MIB';
+
+// DES-1210-28ME_B2::sysSerialNumber.0 = STRING: "QBM51DC001389"
+$config['mibs'][$mib]['serial'][] = ['oid' => 'sysSerialNumber.0'];
+// DES-1210-28ME_B2::sysFirmwareVersion.0 = STRING: "6.10.E007"
+$config['mibs'][$mib]['version'][] = ['oid' => 'sysFirmwareVersion.0'];
+
+//DES-1210-28ME_B2::agentCPUutilizationIn5sec.0 = INTEGER: 14
+//DES-1210-28ME_B2::agentCPUutilizationIn1min.0 = INTEGER: 14
+//DES-1210-28ME_B2::agentCPUutilizationIn5min.0 = INTEGER: 15
+$config['mibs'][$mib]['processor']['agentCPUutilizationIn5min'] = [
+  'type'    => 'static',
+  'descr'   => 'Processor',
+  'oid'     => 'agentCPUutilizationIn5min.0',
+  'oid_num' => '1.3.6.1.4.1.171.10.75.15.2.100.1.3.0'
+];
+
+//DES-1210-28ME_B2::agentMEMutilizationIn5sec.0 = INTEGER: 50
+//DES-1210-28ME_B2::agentMEMutilizationIn1min.0 = INTEGER: 50
+//DES-1210-28ME_B2::agentMEMutilizationIn5min.0 = INTEGER: 50
+$config['mibs'][$mib]['mempool']['agentMEMutilizationIn5min'] = [
+  'type'         => 'static',
+  'descr'        => 'RAM',
+  'scale'        => 1,
+  'oid_perc'     => 'agentMEMutilizationIn5min.0',
+  'oid_perc_num' => '.1.3.6.1.4.1.171.10.75.15.2.100.2.3.0',
+  'total'        => 134217728
+  // 128*1024*1024 - From CLI: Free RAM/Total RAM (Mbytes):      269/495
+];
+
+// Need to use this OID
+//enterprises.d-link.dlink-products.dlink-DES1210SeriesProd.des-1210-28me.des-1210-28meb2.companyDDM.ddmCtrl.ddmPowerUnit.0
+// = mw(0)
+// = dbm(1)
+
+//DES-1210-28ME_B2::ddmThresholdMgmtTable
+//DES-1210-28ME_B2::ddmThresholdPort.25.temperature = INTEGER: 25
+//DES-1210-28ME_B2::ddmThresholdPort.25.voltage = INTEGER: 25
+//DES-1210-28ME_B2::ddmThresholdPort.25.bias = INTEGER: 25
+//DES-1210-28ME_B2::ddmThresholdPort.25.txPower = INTEGER: 25
+//DES-1210-28ME_B2::ddmThresholdPort.25.rxPower = INTEGER: 25
+//DES-1210-28ME_B2::ddmThresholdPort.26.temperature = INTEGER: 26
+//DES-1210-28ME_B2::ddmThresholdPort.26.voltage = INTEGER: 26
+//DES-1210-28ME_B2::ddmThresholdPort.26.bias = INTEGER: 26
+//DES-1210-28ME_B2::ddmThresholdPort.26.txPower = INTEGER: 26
+//DES-1210-28ME_B2::ddmThresholdPort.26.rxPower = INTEGER: 26
+//DES-1210-28ME_B2::ddmThresholdPort.27.temperature = INTEGER: 27
+//DES-1210-28ME_B2::ddmThresholdPort.27.voltage = INTEGER: 27
+//DES-1210-28ME_B2::ddmThresholdPort.27.bias = INTEGER: 27
+//DES-1210-28ME_B2::ddmThresholdPort.27.txPower = INTEGER: 27
+//DES-1210-28ME_B2::ddmThresholdPort.27.rxPower = INTEGER: 27
+//DES-1210-28ME_B2::ddmThresholdPort.28.temperature = INTEGER: 28
+//DES-1210-28ME_B2::ddmThresholdPort.28.voltage = INTEGER: 28
+//DES-1210-28ME_B2::ddmThresholdPort.28.bias = INTEGER: 28
+//DES-1210-28ME_B2::ddmThresholdPort.28.txPower = INTEGER: 28
+//DES-1210-28ME_B2::ddmThresholdPort.28.rxPower = INTEGER: 28
+//DES-1210-28ME_B2::ddmThresholdType.25.temperature = INTEGER: temperature(0)
+//DES-1210-28ME_B2::ddmThresholdType.25.voltage = INTEGER: voltage(1)
+//DES-1210-28ME_B2::ddmThresholdType.25.bias = INTEGER: bias(2)
+//DES-1210-28ME_B2::ddmThresholdType.25.txPower = INTEGER: txPower(3)
+//DES-1210-28ME_B2::ddmThresholdType.25.rxPower = INTEGER: rxPower(4)
+//DES-1210-28ME_B2::ddmThresholdType.26.temperature = INTEGER: temperature(0)
+//DES-1210-28ME_B2::ddmThresholdType.26.voltage = INTEGER: voltage(1)
+//DES-1210-28ME_B2::ddmThresholdType.26.bias = INTEGER: bias(2)
+//DES-1210-28ME_B2::ddmThresholdType.26.txPower = INTEGER: txPower(3)
+//DES-1210-28ME_B2::ddmThresholdType.26.rxPower = INTEGER: rxPower(4)
+//DES-1210-28ME_B2::ddmThresholdType.27.temperature = INTEGER: temperature(0)
+//DES-1210-28ME_B2::ddmThresholdType.27.voltage = INTEGER: voltage(1)
+//DES-1210-28ME_B2::ddmThresholdType.27.bias = INTEGER: bias(2)
+//DES-1210-28ME_B2::ddmThresholdType.27.txPower = INTEGER: txPower(3)
+//DES-1210-28ME_B2::ddmThresholdType.27.rxPower = INTEGER: rxPower(4)
+//DES-1210-28ME_B2::ddmThresholdType.28.temperature = INTEGER: temperature(0)
+//DES-1210-28ME_B2::ddmThresholdType.28.voltage = INTEGER: voltage(1)
+//DES-1210-28ME_B2::ddmThresholdType.28.bias = INTEGER: bias(2)
+//DES-1210-28ME_B2::ddmThresholdType.28.txPower = INTEGER: txPower(3)
+//DES-1210-28ME_B2::ddmThresholdType.28.rxPower = INTEGER: rxPower(4)
+//DES-1210-28ME_B2::ddmHighAlarm.25.temperature = STRING: "+95.000"
+//DES-1210-28ME_B2::ddmHighAlarm.25.voltage = STRING: "3.80"
+//DES-1210-28ME_B2::ddmHighAlarm.25.bias = STRING: "20.0"
+//DES-1210-28ME_B2::ddmHighAlarm.25.txPower = STRING: "1.5900"
+//DES-1210-28ME_B2::ddmHighAlarm.25.rxPower = STRING: "1.2599"
+//DES-1210-28ME_B2::ddmHighAlarm.26.temperature = STRING: "+95.000"
+//DES-1210-28ME_B2::ddmHighAlarm.26.voltage = STRING: "3.80"
+//DES-1210-28ME_B2::ddmHighAlarm.26.bias = STRING: "20.0"
+//DES-1210-28ME_B2::ddmHighAlarm.26.txPower = STRING: "1.5900"
+//DES-1210-28ME_B2::ddmHighAlarm.26.rxPower = STRING: "1.2599"
+//DES-1210-28ME_B2::ddmHighAlarm.27.temperature = STRING: "+95.000"
+//DES-1210-28ME_B2::ddmHighAlarm.27.voltage = STRING: "3.80"
+//DES-1210-28ME_B2::ddmHighAlarm.27.bias = STRING: "20.0"
+//DES-1210-28ME_B2::ddmHighAlarm.27.txPower = STRING: "1.5900"
+//DES-1210-28ME_B2::ddmHighAlarm.27.rxPower = STRING: "1.2599"
+//DES-1210-28ME_B2::ddmHighAlarm.28.temperature = STRING: "+95.000"
+//DES-1210-28ME_B2::ddmHighAlarm.28.voltage = STRING: "3.80"
+//DES-1210-28ME_B2::ddmHighAlarm.28.bias = STRING: "20.0"
+//DES-1210-28ME_B2::ddmHighAlarm.28.txPower = STRING: "1.5900"
+//DES-1210-28ME_B2::ddmHighAlarm.28.rxPower = STRING: "1.2599"
+//DES-1210-28ME_B2::ddmLowAlarm.25.temperature = STRING: "-25.000"
+//DES-1210-28ME_B2::ddmLowAlarm.25.voltage = STRING: "2.80"
+//DES-1210-28ME_B2::ddmLowAlarm.25.bias = STRING: "0.5"
+//DES-1210-28ME_B2::ddmLowAlarm.25.txPower = STRING: "0.1599"
+//DES-1210-28ME_B2::ddmLowAlarm.25.rxPower = STRING: "0.0099"
+//DES-1210-28ME_B2::ddmLowAlarm.26.temperature = STRING: "-25.000"
+//DES-1210-28ME_B2::ddmLowAlarm.26.voltage = STRING: "2.80"
+//DES-1210-28ME_B2::ddmLowAlarm.26.bias = STRING: "0.5"
+//DES-1210-28ME_B2::ddmLowAlarm.26.txPower = STRING: "0.1599"
+//DES-1210-28ME_B2::ddmLowAlarm.26.rxPower = STRING: "0.0099"
+//DES-1210-28ME_B2::ddmLowAlarm.27.temperature = STRING: "-25.000"
+//DES-1210-28ME_B2::ddmLowAlarm.27.voltage = STRING: "2.80"
+//DES-1210-28ME_B2::ddmLowAlarm.27.bias = STRING: "0.5"
+//DES-1210-28ME_B2::ddmLowAlarm.27.txPower = STRING: "0.1599"
+//DES-1210-28ME_B2::ddmLowAlarm.27.rxPower = STRING: "0.0099"
+//DES-1210-28ME_B2::ddmLowAlarm.28.temperature = STRING: "-25.000"
+//DES-1210-28ME_B2::ddmLowAlarm.28.voltage = STRING: "2.80"
+//DES-1210-28ME_B2::ddmLowAlarm.28.bias = STRING: "0.5"
+//DES-1210-28ME_B2::ddmLowAlarm.28.txPower = STRING: "0.1599"
+//DES-1210-28ME_B2::ddmLowAlarm.28.rxPower = STRING: "0.0099"
+//DES-1210-28ME_B2::ddmHighWarning.25.temperature = STRING: "+90.000"
+//DES-1210-28ME_B2::ddmHighWarning.25.voltage = STRING: "3.70"
+//DES-1210-28ME_B2::ddmHighWarning.25.bias = STRING: "18.0"
+//DES-1210-28ME_B2::ddmHighWarning.25.txPower = STRING: "1.2599"
+//DES-1210-28ME_B2::ddmHighWarning.25.rxPower = STRING: "1.0000"
+//DES-1210-28ME_B2::ddmHighWarning.26.temperature = STRING: "+90.000"
+//DES-1210-28ME_B2::ddmHighWarning.26.voltage = STRING: "3.70"
+//DES-1210-28ME_B2::ddmHighWarning.26.bias = STRING: "18.0"
+//DES-1210-28ME_B2::ddmHighWarning.26.txPower = STRING: "1.2599"
+//DES-1210-28ME_B2::ddmHighWarning.26.rxPower = STRING: "1.0000"
+//DES-1210-28ME_B2::ddmHighWarning.27.temperature = STRING: "+90.000"
+//DES-1210-28ME_B2::ddmHighWarning.27.voltage = STRING: "3.70"
+//DES-1210-28ME_B2::ddmHighWarning.27.bias = STRING: "18.0"
+//DES-1210-28ME_B2::ddmHighWarning.27.txPower = STRING: "1.2599"
+//DES-1210-28ME_B2::ddmHighWarning.27.rxPower = STRING: "1.0000"
+//DES-1210-28ME_B2::ddmHighWarning.28.temperature = STRING: "+90.000"
+//DES-1210-28ME_B2::ddmHighWarning.28.voltage = STRING: "3.70"
+//DES-1210-28ME_B2::ddmHighWarning.28.bias = STRING: "18.0"
+//DES-1210-28ME_B2::ddmHighWarning.28.txPower = STRING: "1.2599"
+//DES-1210-28ME_B2::ddmHighWarning.28.rxPower = STRING: "1.0000"
+//DES-1210-28ME_B2::ddmLowWarning.25.temperature = STRING: "-20.000"
+//DES-1210-28ME_B2::ddmLowWarning.25.voltage = STRING: "2.90"
+//DES-1210-28ME_B2::ddmLowWarning.25.bias = STRING: "1.0"
+//DES-1210-28ME_B2::ddmLowWarning.25.txPower = STRING: "0.2000"
+//DES-1210-28ME_B2::ddmLowWarning.25.rxPower = STRING: "0.0126"
+//DES-1210-28ME_B2::ddmLowWarning.26.temperature = STRING: "-20.000"
+//DES-1210-28ME_B2::ddmLowWarning.26.voltage = STRING: "2.90"
+//DES-1210-28ME_B2::ddmLowWarning.26.bias = STRING: "1.0"
+//DES-1210-28ME_B2::ddmLowWarning.26.txPower = STRING: "0.2000"
+//DES-1210-28ME_B2::ddmLowWarning.26.rxPower = STRING: "0.0126"
+//DES-1210-28ME_B2::ddmLowWarning.27.temperature = STRING: "-20.000"
+//DES-1210-28ME_B2::ddmLowWarning.27.voltage = STRING: "2.90"
+//DES-1210-28ME_B2::ddmLowWarning.27.bias = STRING: "1.0"
+//DES-1210-28ME_B2::ddmLowWarning.27.txPower = STRING: "0.2000"
+//DES-1210-28ME_B2::ddmLowWarning.27.rxPower = STRING: "0.0126"
+//DES-1210-28ME_B2::ddmLowWarning.28.temperature = STRING: "-20.000"
+//DES-1210-28ME_B2::ddmLowWarning.28.voltage = STRING: "2.90"
+//DES-1210-28ME_B2::ddmLowWarning.28.bias = STRING: "1.0"
+//DES-1210-28ME_B2::ddmLowWarning.28.txPower = STRING: "0.2000"
+//DES-1210-28ME_B2::ddmLowWarning.28.rxPower = STRING: "0.0126"
+
+// ddmThresholdPort ddmThresholdType ddmHighAlarm ddmLowAlarm ddmHighWarning ddmLowWarning
+//               25      temperature      +95.000     -25.000        +90.000       -20.000
+//               25          voltage         3.80        2.80           3.70          2.90
+//               25             bias         20.0         0.5           18.0           1.0
+//               25          txPower       1.5900      0.1599         1.2599        0.2000
+//               25          rxPower       1.2599      0.0099         1.0000        0.0126
+//               26      temperature      +95.000     -25.000        +90.000       -20.000
+//               26          voltage         3.80        2.80           3.70          2.90
+//               26             bias         20.0         0.5           18.0           1.0
+//               26          txPower       1.5900      0.1599         1.2599        0.2000
+//               26          rxPower       1.2599      0.0099         1.0000        0.0126
+//               27      temperature      +95.000     -25.000        +90.000       -20.000
+//               27          voltage         3.80        2.80           3.70          2.90
+//               27             bias         20.0         0.5           18.0           1.0
+//               27          txPower       1.5900      0.1599         1.2599        0.2000
+//               27          rxPower       1.2599      0.0099         1.0000        0.0126
+//               28      temperature      +95.000     -25.000        +90.000       -20.000
+//               28          voltage         3.80        2.80           3.70          2.90
+//               28             bias         20.0         0.5           18.0           1.0
+//               28          txPower       1.5900      0.1599         1.2599        0.2000
+//               28          rxPower       1.2599      0.0099         1.0000        0.0126
+
+//DES-1210-28ME_B2::ddmStatusTable - from device with no DDM SFP modules :-(
+//DES-1210-28ME_B2::ddmStatusPort.25 = INTEGER: 25
+//DES-1210-28ME_B2::ddmStatusPort.26 = INTEGER: 26
+//DES-1210-28ME_B2::ddmStatusPort.27 = INTEGER: 27
+//DES-1210-28ME_B2::ddmStatusPort.28 = INTEGER: 28
+//DES-1210-28ME_B2::ddmTemperature.25 = ""
+//DES-1210-28ME_B2::ddmTemperature.26 = ""
+//DES-1210-28ME_B2::ddmTemperature.27 = ""
+//DES-1210-28ME_B2::ddmTemperature.28 = ""
+//DES-1210-28ME_B2::ddmVoltage.25 = ""
+//DES-1210-28ME_B2::ddmVoltage.26 = ""
+//DES-1210-28ME_B2::ddmVoltage.27 = ""
+//DES-1210-28ME_B2::ddmVoltage.28 = ""
+//DES-1210-28ME_B2::ddmBiasCurrent.25 = ""
+//DES-1210-28ME_B2::ddmBiasCurrent.26 = ""
+//DES-1210-28ME_B2::ddmBiasCurrent.27 = ""
+//DES-1210-28ME_B2::ddmBiasCurrent.28 = ""
+//DES-1210-28ME_B2::ddmTxPower.25 = ""
+//DES-1210-28ME_B2::ddmTxPower.26 = ""
+//DES-1210-28ME_B2::ddmTxPower.27 = ""
+//DES-1210-28ME_B2::ddmTxPower.28 = ""
+//DES-1210-28ME_B2::ddmRxPower.25 = ""
+//DES-1210-28ME_B2::ddmRxPower.26 = ""
+//DES-1210-28ME_B2::ddmRxPower.27 = ""
+//DES-1210-28ME_B2::ddmRxPower.28 = ""
+
+$config['mibs'][$mib]['sensor'][] = [
+  'measured'           => 'port',
+  'table'              => 'ddmStatusTable',
+  'measured_match'     => [ 'entity_type' => 'port', 'field' => 'ifIndex', 'match' => '%ddmStatusPort%' ],
+  'class'              => 'temperature',
+  'oid'                => 'ddmTemperature',
+  'descr'              => '%port_label% Temperature'
+// TODO: Limits in another table with different index O_o
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+  'measured'           => 'port',
+  'table'              => 'ddmStatusTable',
+  'measured_match'     => [ 'entity_type' => 'port', 'field' => 'ifIndex', 'match' => '%ddmStatusPort%' ],
+  'class'              => 'voltage',
+  'oid'                => 'ddmVoltage',
+  'descr'              => '%port_label% Voltage'
+// TODO: Limits in another table with different index O_o
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+  'measured'           => 'port',
+  'table'              => 'ddmStatusTable',
+  'measured_match'     => [ 'entity_type' => 'port', 'field' => 'ifIndex', 'match' => '%ddmStatusPort%' ],
+  'class'              => 'current',
+  'oid'                => 'ddmBiasCurrent',
+  'descr'              => '%port_label% TX Bias'
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+  'measured'           => 'port',
+  'table'              => 'ddmStatusTable',
+  'measured_match'     => [ 'entity_type' => 'port', 'field' => 'ifIndex', 'match' => '%ddmStatusPort%' ],
+  'class'              => 'dbm',
+  'oid'                => 'ddmTxPower',
+  'descr'              => '%port_label% TX Power',
+  'unit'               => 'W',
+//TODO: need to get OID ddmPowerUnit to guess mW or dBm
+//  'oid_unit'           => 'ddmPowerUnit',
+  'scale'              => 0.001
+// TODO: Limits in another table with different index O_o
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+  'measured'           => 'port',
+  'table'              => 'ddmStatusTable',
+  'measured_match'     => [ 'entity_type' => 'port', 'field' => 'ifIndex', 'match' => '%ddmStatusPort%' ],
+  'class'              => 'dbm',
+  'oid'                => 'ddmRxPower',
+  'descr'              => '%port_label% RX Power',
+  'unit'               => 'W',
+//TODO: need to get OID ddmPowerUnit to guess mW or dBm
+//  'oid_unit'           => 'ddmPowerUnit',
+  'scale'              => 0.001
+// TODO: Limits in another table with different index O_o
+];
+
+$mib = 'DLINKSW-ENTITY-EXT-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.14.5';
+$config['mibs'][$mib]['mib_dir'] = 'd-link';
+$config['mibs'][$mib]['descr'] = 'essential information about the system (inc. temperature sensors, fans and power supplies) - used for DGS-1510-52X';
+//https://jira.observium.org/browse/OBS-3725
+
+//TODO: Tables have index with two numbers (numbr of unit in stack + index on unit), may be we need to add unit No to sensors descr?
+
+////DLINKSW-ENTITY-EXT-MIB::dEntityExtEnvTempTable
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtEnvTempDescr.1.1 = STRING: Center
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtEnvTempCurrent.1.1 = INTEGER: 27 degrees Celsius
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtEnvTempThresholdLow.1.1 = INTEGER: 11 degrees Celsius
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtEnvTempThresholdHigh.1.1 = INTEGER: 79 degrees Celsius
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtEnvTempStatus.1.1 = INTEGER: ok(1)
+
+/*
+// No need for this status:
+$type = 'dEntityExtEnvTempStatus';
+$config['mibs'][$mib]['states'][$type][1] = ['name' => 'ok',       'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][2] = ['name' => 'abnormal', 'event' => 'warning'];
+
+$config['mibs'][$mib]['status'][] = [
+  'measured'     => 'temperature',
+  'table'        => 'dEntityExtEnvTempTable',
+  'oid'          => 'dEntityExtEnvTempStatus',
+  'type'         => 'dEntityExtEnvTempStatus',
+  'oid_num'      => '.1.3.6.1.4.1.171.14.5.1.1.1.1.7',
+  'oid_extra'    => 'dEntityExtEnvTempDescr',
+  'descr'        => 'Temperature %dEntityExtEnvTempDescr% status'
+];
+*/
+
+$config['mibs'][$mib]['sensor'][] = [
+  'table'          => 'dEntityExtEnvTempTable',
+  'oid'            => 'dEntityExtEnvTempCurrent',
+  'oid_descr'      => 'dEntityExtEnvTempDescr',
+  'class'          => 'temperature',
+  'measured'       => 'device',
+  'scale'          => 1,
+  'oid_num'        => '.1.3.6.1.4.1.171.14.5.1.1.1.1.4',
+  'oid_limit_low'  => 'dEntityExtEnvTempThresholdLow',
+  'oid_limit_high' => 'dEntityExtEnvTempThresholdHigh'
+];
+
+////DLINKSW-ENTITY-EXT-MIB::dEntityExtEnvFanTable
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtEnvFanDescr.1.7 = STRING: Right Fan
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtEnvFanDescr.1.8 = STRING: Right Fan
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtEnvFanStatus.1.7 = INTEGER: ok(1)
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtEnvFanStatus.1.8 = INTEGER: ok(1)
+
+$type = 'dEntityExtEnvFanStatus';
+$config['mibs'][$mib]['states'][$type][1] = ['name' => 'ok',    'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][2] = ['name' => 'fault', 'event' => 'warning'];
+
+$config['mibs'][$mib]['status'][] = [
+  'measured'     => 'fan',
+  'table'        => 'dEntityExtEnvFanTable',
+  'oid'          => 'dEntityExtEnvFanStatus',
+  'type'         => 'dEntityExtEnvFanStatus',
+  'oid_num'      => '.1.3.6.1.4.1.171.14.5.1.1.2.1.4',
+  'oid_extra'    => 'dEntityExtEnvFanDescr',
+  'descr'        => '%dEntityExtEnvFanDescr% %index%'
+];
+
+////DLINKSW-ENTITY-EXT-MIB::dEntityExtEnvPowerTable
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtEnvPowerDescr.1.1 = STRING: Power 1
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtEnvPowerDescr.1.2 = STRING: Power 2
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtEnvPowerUsedPower.1.1 = Gauge32: 0 watts
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtEnvPowerUsedPower.1.2 = Gauge32: 0 watts
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtEnvPowerMaxPower.1.1 = Gauge32: 0 watts
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtEnvPowerMaxPower.1.2 = Gauge32: 0 watts
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtEnvPowerStatus.1.1 = INTEGER: inOperation(1)
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtEnvPowerStatus.1.2 = INTEGER: empty(3)
+
+$type = 'dEntityExtEnvPowerStatus';
+$config['mibs'][$mib]['states'][$type][1] = ['name' => 'inOperation', 'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][2] = ['name' => 'failed',      'event' => 'alert'];
+$config['mibs'][$mib]['states'][$type][2] = ['name' => 'empty',       'event' => 'ignore'];
+
+$config['mibs'][$mib]['status'][] = [
+  'measured'     => 'powersupply',
+  'table'        => 'dEntityExtEnvPowerTable',
+  'oid'          => 'dEntityExtEnvPowerStatus',
+  'type'         => 'dEntityExtEnvPowerStatus',
+  'oid_num'      => '.1.3.6.1.4.1.171.14.5.1.1.3.1.6',
+  'oid_descr'    => 'dEntityExtEnvPowerDescr'
+];
+
+////DLINKSW-ENTITY-EXT-MIB::dEntityExtUnitTable
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtUnitStatus.1 = INTEGER: ok(1)
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtUnitUpTime.1 = Gauge32: 63047 seconds
+
+$type = 'dEntityExtUnitStatus';
+$config['mibs'][$mib]['states'][$type][1] = ['name' => 'ok',     'event' => 'ok'];
+$config['mibs'][$mib]['states'][$type][2] = ['name' => 'failed', 'event' => 'alert'];
+$config['mibs'][$mib]['states'][$type][2] = ['name' => 'empty',  'event' => 'ignore'];
+
+$config['mibs'][$mib]['status'][] = [
+  'measured'     => 'device',
+  'table'        => 'dEntityExtUnitTable',
+  'oid'          => 'dEntityExtUnitStatus',
+  'type'         => 'dEntityExtUnitStatus',
+  'oid_num'      => '.1.3.6.1.4.1.171.14.5.1.3.1.2',
+  'descr'        => 'Unit %index% status'
+];
+
+////DLINKSW-ENTITY-EXT-MIB::dEntityExtMemoryUtilTable
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtMemUtilTotal.1.dram = Gauge32: 262144 KB
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtMemUtilTotal.1.flash = Gauge32: 29937 KB
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtMemUtilUsed.1.dram = Gauge32: 78675 KB
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtMemUtilUsed.1.flash = Gauge32: 20726 KB
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtMemUtilFree.1.dram = Gauge32: 183465 KB
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtMemUtilFree.1.flash = Gauge32: 9211 KB
+
+$config['mibs'][$mib]['mempool']['dEntityExtMemoryUtilTable'] = [
+  'type'         => 'table',
+  'descr'        => 'Memory',
+  'scale'        => 1024,
+  'oid_total'    => 'dEntityExtMemUtilTotal',
+  'oid_used'     => 'dEntityExtMemUtilUsed',
+  'oid_free'     => 'dEntityExtMemUtilFree',
+];
+
+////DLINKSW-ENTITY-EXT-MIB::dEntityExtCpuUtilTable
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtCpuUtilFiveSeconds.1.1 = Gauge32: 33 percentage
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtCpuUtilOneMinute.1.1 = Gauge32: 33 percentage
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtCpuUtilFiveMinutes.1.1 = Gauge32: 51
+
+$config['mibs'][$mib]['processor']['dEntityExtCpuUtilFiveMinutes'] = [
+   'type'    => 'table',
+   'table'   => 'dEntityExtCpuUtilTable',
+   'idle'    => FALSE,
+   'descr'   => 'Processor on Unit %index%',
+   'oid'     => 'dEntityExtCpuUtilFiveMinutes',
+   'oid_num' => '.1.3.6.1.4.1.171.14.5.1.7.1.5'
+];
+
+////DLINKSW-ENTITY-EXT-MIB::dEntityExtVersionTable
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtVersionBootloader.1 = STRING: 1.00.016
+//DLINKSW-ENTITY-EXT-MIB::dEntityExtVersionRuntime.1 = STRING: 1.70.B018
+
+$mib = 'DLINKSW-DDM-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.14.72';
+$config['mibs'][$mib]['mib_dir'] = 'd-link';
+$config['mibs'][$mib]['descr'] = 'This MIB module defines objects for DDM - used for DGS-1510-52X';
+
+//DLINKSW-DDM-MIB::dDdmIfCfgTable
+//DLINKSW-DDM-MIB::dDdmNotifyEnable.0 = BITS: 00 
+//DLINKSW-DDM-MIB::dDdmIfCfgEnabled.49 = INTEGER: true(1)
+//DLINKSW-DDM-MIB::dDdmIfCfgEnabled.50 = INTEGER: true(1)
+//DLINKSW-DDM-MIB::dDdmIfCfgEnabled.51 = INTEGER: true(1)
+//DLINKSW-DDM-MIB::dDdmIfCfgEnabled.52 = INTEGER: true(1)
+//DLINKSW-DDM-MIB::dDdmShutdownLevel.49 = INTEGER: none(1)
+//DLINKSW-DDM-MIB::dDdmShutdownLevel.50 = INTEGER: none(1)
+//DLINKSW-DDM-MIB::dDdmShutdownLevel.51 = INTEGER: none(1)
+//DLINKSW-DDM-MIB::dDdmShutdownLevel.52 = INTEGER: none(1)
+
+//DLINKSW-DDM-MIB::dDdmIfInfoTable
+//DLINKSW-DDM-MIB::dDdmIfInfoCurrentTemperature.50 = INTEGER: 0 milli-degrees Celsius
+//DLINKSW-DDM-MIB::dDdmIfInfoCurrentTemperature.51 = INTEGER: 29630 milli-degrees Celsius
+//DLINKSW-DDM-MIB::dDdmIfInfoTemperatureState.50 = INTEGER: higherAlarm(1)
+//DLINKSW-DDM-MIB::dDdmIfInfoTemperatureState.51 = INTEGER: normal(0)
+//DLINKSW-DDM-MIB::dDdmIfInfoHighAlarmTemperature.50 = INTEGER: -4 milli-degrees Celsius
+//DLINKSW-DDM-MIB::dDdmIfInfoHighAlarmTemperature.51 = INTEGER: 75000 milli-degrees Celsius
+//DLINKSW-DDM-MIB::dDdmIfInfoHighWarnTemperature.50 = INTEGER: -4 milli-degrees Celsius
+//DLINKSW-DDM-MIB::dDdmIfInfoHighWarnTemperature.51 = INTEGER: 70000 milli-degrees Celsius
+//DLINKSW-DDM-MIB::dDdmIfInfoLowWarnTemperature.50 = INTEGER: -4 milli-degrees Celsius
+//DLINKSW-DDM-MIB::dDdmIfInfoLowWarnTemperature.51 = INTEGER: 0 milli-degrees Celsius
+//DLINKSW-DDM-MIB::dDdmIfInfoLowAlarmTemperature.50 = INTEGER: -4 milli-degrees Celsius
+//DLINKSW-DDM-MIB::dDdmIfInfoLowAlarmTemperature.51 = INTEGER: -5000 milli-degrees Celsius
+//DLINKSW-DDM-MIB::dDdmIfInfoCurrentVoltage.50 = INTEGER: 0 centi-Volt
+//DLINKSW-DDM-MIB::dDdmIfInfoCurrentVoltage.51 = INTEGER: 323 centi-Volt
+//DLINKSW-DDM-MIB::dDdmIfInfoVoltageState.50 = INTEGER: lowerAlarm(4)
+//DLINKSW-DDM-MIB::dDdmIfInfoVoltageState.51 = INTEGER: normal(0)
+//DLINKSW-DDM-MIB::dDdmIfInfoHighAlarmVoltage.50 = INTEGER: 655 centi-Volt
+//DLINKSW-DDM-MIB::dDdmIfInfoHighAlarmVoltage.51 = INTEGER: 363 centi-Volt
+//DLINKSW-DDM-MIB::dDdmIfInfoHighWarnVoltage.50 = INTEGER: 655 centi-Volt
+//DLINKSW-DDM-MIB::dDdmIfInfoHighWarnVoltage.51 = INTEGER: 346 centi-Volt
+//DLINKSW-DDM-MIB::dDdmIfInfoLowWarnVoltage.50 = INTEGER: 655 centi-Volt
+//DLINKSW-DDM-MIB::dDdmIfInfoLowWarnVoltage.51 = INTEGER: 313 centi-Volt
+//DLINKSW-DDM-MIB::dDdmIfInfoLowAlarmVoltage.50 = INTEGER: 655 centi-Volt
+//DLINKSW-DDM-MIB::dDdmIfInfoLowAlarmVoltage.51 = INTEGER: 297 centi-Volt
+//DLINKSW-DDM-MIB::dDdmIfInfoCurrentBiasCurrent.50 = INTEGER: 0 milli-amperes
+//DLINKSW-DDM-MIB::dDdmIfInfoCurrentBiasCurrent.51 = INTEGER: 0 milli-amperes
+//DLINKSW-DDM-MIB::dDdmIfInfoBiasCurrentState.50 = INTEGER: lowerAlarm(4)
+//DLINKSW-DDM-MIB::dDdmIfInfoBiasCurrentState.51 = INTEGER: normal(0)
+//DLINKSW-DDM-MIB::dDdmIfInfoHighAlarmBiasCurrent.50 = INTEGER: 131 milli-amperes
+//DLINKSW-DDM-MIB::dDdmIfInfoHighAlarmBiasCurrent.51 = INTEGER: 0 milli-amperes
+//DLINKSW-DDM-MIB::dDdmIfInfoHighWarnBiasCurrent.50 = INTEGER: 131 milli-amperes
+//DLINKSW-DDM-MIB::dDdmIfInfoHighWarnBiasCurrent.51 = INTEGER: 0 milli-amperes
+//DLINKSW-DDM-MIB::dDdmIfInfoLowWarnBiasCurrent.50 = INTEGER: 131 milli-amperes
+//DLINKSW-DDM-MIB::dDdmIfInfoLowWarnBiasCurrent.51 = INTEGER: 0 milli-amperes
+//DLINKSW-DDM-MIB::dDdmIfInfoLowAlarmBiasCurrent.50 = INTEGER: 131 milli-amperes
+//DLINKSW-DDM-MIB::dDdmIfInfoLowAlarmBiasCurrent.51 = INTEGER: 0 milli-amperes
+//DLINKSW-DDM-MIB::dDdmIfInfoCurrentTxPower.50 = INTEGER: 0 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoCurrentTxPower.51 = INTEGER: 0 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoTxPowerState.50 = INTEGER: lowerAlarm(4)
+//DLINKSW-DDM-MIB::dDdmIfInfoTxPowerState.51 = INTEGER: normal(0)
+//DLINKSW-DDM-MIB::dDdmIfInfoHighAlarmTxPower.50 = INTEGER: 65535 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoHighAlarmTxPower.51 = INTEGER: 0 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoHighWarnTxPower.50 = INTEGER: 65535 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoHighWarnTxPower.51 = INTEGER: 0 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoLowWarnTxPower.50 = INTEGER: 65535 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoLowWarnTxPower.51 = INTEGER: 0 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoLowAlarmTxPower.50 = INTEGER: 65535 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoLowAlarmTxPower.51 = INTEGER: 0 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoCurrentRxPower.50 = INTEGER: 0 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoCurrentRxPower.51 = INTEGER: 0 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoRxPowerState.50 = INTEGER: lowerAlarm(4)
+//DLINKSW-DDM-MIB::dDdmIfInfoRxPowerState.51 = INTEGER: normal(0)
+//DLINKSW-DDM-MIB::dDdmIfInfoHighAlarmRxPower.50 = INTEGER: 65535 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoHighAlarmRxPower.51 = INTEGER: 0 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoHighWarnRxPower.50 = INTEGER: 65535 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoHighWarnRxPower.51 = INTEGER: 0 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoLowWarnRxPower.50 = INTEGER: 65535 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoLowWarnRxPower.51 = INTEGER: 0 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoLowAlarmRxPower.50 = INTEGER: 65535 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoLowAlarmRxPower.51 = INTEGER: 0 tenths of a microwatt
+
+$config['mibs'][$mib]['sensor'][] = [
+  'measured'            => 'port',
+  'table'               => 'dDdmIfInfoTable',
+  'measured_match'      => [ 'entity_type' => 'port', 'field' => 'ifIndex', 'match' => '%index%' ],
+  'class'               => 'temperature',
+  'oid'                 => 'dDdmIfInfoCurrentTemperature',
+  'scale'               => 1/1000,
+  'limit_scale'         => 1/1000,
+  'descr'               => '%port_label% Temperature',
+  'oid_limit_low'       => 'dDdmIfInfoLowAlarmTemperature',
+  'oid_limit_low_warn'  => 'dDdmIfInfoLowWarnTemperature',
+  'oid_limit_high'      => 'dDdmIfInfoHighAlarmTemperature',
+  'oid_limit_high_warn' => 'dDdmIfInfoHighWarnTemperature'
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+  'measured'            => 'port',
+  'table'               => 'dDdmIfInfoTable',
+  'measured_match'      => [ 'entity_type' => 'port', 'field' => 'ifIndex', 'match' => '%index%' ],
+  'class'               => 'voltage',
+  'oid'                 => 'dDdmIfInfoCurrentVoltage',
+  'scale'               => 1/100,
+  'limit_scale'         => 1/100,
+  'descr'               => '%port_label% Voltage',
+  'oid_limit_low'       => 'dDdmIfInfoLowAlarmVoltage',
+  'oid_limit_low_warn'  => 'dDdmIfInfoLowWarnVoltage',
+  'oid_limit_high'      => 'dDdmIfInfoHighAlarmVoltage',
+  'oid_limit_high_warn' => 'dDdmIfInfoHighWarnVoltage'
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+  'measured'            => 'port',
+  'table'               => 'dDdmIfInfoTable',
+  'measured_match'      => [ 'entity_type' => 'port', 'field' => 'ifIndex', 'match' => '%index%' ],
+  'class'               => 'current',
+  'oid'                 => 'dDdmIfInfoCurrentBiasCurrent',
+  'descr'               => '%port_label% TX Bias',
+  'scale'               => 1/1000,
+  'limit_scale'         => 1/1000,
+  'oid_limit_low'       => 'dDdmIfInfoLowAlarmBiasCurrent',
+  'oid_limit_low_warn'  => 'dDdmIfInfoLowWarnBiasCurrent',
+  'oid_limit_high'      => 'dDdmIfInfoHighAlarmBiasCurrent',
+  'oid_limit_high_warn' => 'dDdmIfInfoHighWarnBiasCurrent'
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+  'measured'            => 'port',
+  'table'               => 'dDdmIfInfoTable',
+  'measured_match'      => [ 'entity_type' => 'port', 'field' => 'ifIndex', 'match' => '%index%' ],
+  'class'               => 'dbm',
+  'oid'                 => 'dDdmIfInfoCurrentTxPower',
+  'descr'               => '%port_label% TX Power',
+  'invalid'             => 65535,
+  'unit'                => 'W',
+  'scale'               => 1/10000000,
+  'limit_scale'         => 1/10000000,
+  'oid_limit_low'       => 'dDdmIfInfoLowAlarmTxPower',
+  'oid_limit_low_warn'  => 'dDdmIfInfoLowWarnTxPower',
+  'oid_limit_high'      => 'dDdmIfInfoHighAlarmTxPower',
+  'oid_limit_high_warn' => 'dDdmIfInfoHighWarnTxPower'
+];
+
+//DLINKSW-DDM-MIB::dDdmIfInfoCurrentRxPower.50 = INTEGER: 0 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoCurrentRxPower.51 = INTEGER: 0 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoRxPowerState.50 = INTEGER: lowerAlarm(4)
+//DLINKSW-DDM-MIB::dDdmIfInfoRxPowerState.51 = INTEGER: normal(0)
+//DLINKSW-DDM-MIB::dDdmIfInfoHighAlarmRxPower.50 = INTEGER: 65535 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoHighAlarmRxPower.51 = INTEGER: 0 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoHighWarnRxPower.50 = INTEGER: 65535 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoHighWarnRxPower.51 = INTEGER: 0 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoLowWarnRxPower.50 = INTEGER: 65535 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoLowWarnRxPower.51 = INTEGER: 0 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoLowAlarmRxPower.50 = INTEGER: 65535 tenths of a microwatt
+//DLINKSW-DDM-MIB::dDdmIfInfoLowAlarmRxPower.51 = INTEGER: 0 tenths of a microwatt
+
+$config['mibs'][$mib]['sensor'][] = [
+  'measured'            => 'port',
+  'table'               => 'dDdmIfInfoTable',
+  'measured_match'      => [ 'entity_type' => 'port', 'field' => 'ifIndex', 'match' => '%index%' ],
+  'class'               => 'dbm',
+  'oid'                => 'dDdmIfInfoCurrentRxPower',
+  'descr'              => '%port_label% RX Power',
+  'invalid'             => 65535,
+  'unit'                => 'W',
+  'scale'               => 1/10000000,
+  'limit_scale'         => 1/10000000,
+  'oid_limit_low'       => 'dDdmIfInfoLowAlarmRxPower',
+  'oid_limit_low_warn'  => 'dDdmIfInfoLowWarnRxPower',
+  'oid_limit_high'      => 'dDdmIfInfoHighAlarmRxPower',
+  'oid_limit_high_warn' => 'dDdmIfInfoHighWarnRxPower'
+];
+
+/* Used for inventory purpose of SysORTable on D-link switches
+$mib = 'DLINK-ID-REC-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['mib_dir'] = 'd-link';
+
+$mib = 'DLINK-SWPRIMGMT-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['mib_dir'] = 'd-link';
+
+$mib = 'DLINK-L2MGMT-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.12.2';
+$config['mibs'][$mib]['mib_dir'] = 'd-link';
+$config['mibs'][$mib]['descr'] = 'The Structure of Common Management Information for making a trunk and IGMP related function for D-Link devices.';
+
+$mib = 'AUTH-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.12.3';
+$config['mibs'][$mib]['mib_dir'] = 'd-link';
+$config['mibs'][$mib]['descr'] = 'The Structure of Common Management Information for the security functions of the devices.';
+
+$mib = 'LAG-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.12.4';
+$config['mibs'][$mib]['mib_dir'] = 'd-link';
+$config['mibs'][$mib]['descr'] = 'The Link Aggregation module for managing IEEE 802.3ad.';
+
+$mib = 'AAC-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.12.5';
+$config['mibs'][$mib]['mib_dir'] = 'd-link';
+$config['mibs'][$mib]['descr'] = 'System Access Authentication Control MIB.';
+
+$mib = 'SSH-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.12.6';
+$config['mibs'][$mib]['mib_dir'] = 'd-link';
+$config['mibs'][$mib]['descr'] = 'The D-Link Secure Shell module MIB.';
+
+$mib = 'SSL-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.12.7';
+$config['mibs'][$mib]['mib_dir'] = 'd-link';
+$config['mibs'][$mib]['descr'] = 'SSL System Access Control.';
+
+$mib = 'SINGLE-IP-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.12.8';
+$config['mibs'][$mib]['mib_dir'] = 'd-link';
+$config['mibs'][$mib]['descr'] = 'The Single IP management MIB.';
+
+$mib = 'ACLMGMT-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.12.9';
+$config['mibs'][$mib]['mib_dir'] = 'd-link';
+$config['mibs'][$mib]['descr'] = 'The structure of Access Control List information for the proprietary enterprise.';
+
+$mib = 'TIME-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.12.10';
+$config['mibs'][$mib]['mib_dir'] = 'd-link';
+$config['mibs'][$mib]['descr'] = 'equipments absolute time.';
+*/
+
 // EOF
